<!DOCTYPE html>
<html>
<style>
input[type=text], select {
  width: 60%;
  padding: 12px 20px;
  text-align: center;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
}

input[type=submit] {
  width: 20%;
  background-color: #efc003;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  border-radius: 10px;
  justify-content: center;
  align-items: center;
  align-self: center;
  cursor: pointer;
}

input[type=submit]:hover {
  background-color: #efc003;
}

button {
  width: 20%;
  background-color: #efc003;
  color: white;
  padding: 14px 20px;
  margin: 8px 0;
  border: none;
  border-radius: 10px;
  justify-content: center;
  align-items: center;
  align-self: center;
  cursor: pointer;
}

.center {
  display: flex;
  justify-content: center;
  align-items: center;
}

div {
  border-radius: 5px;
  background-color: #f2f2f2;
  padding: 20px;
  margin: 20px;
}
</style>
<body>
  <script>

    var base_url = window.location.origin;

    function GetData() {
      var inputValue = document.getElementById("domainValueId").value;
      const uri = base_url + '/resolve/'+inputValue;
        fetch( uri )
            .then( response =>
            {
                if ( response.status !== 200 )
                {
                    console.log( 'Looks like there was a problem. Status Code: ' +
                        response.status );
                    return;
                }
                return response.json();
            }
            )
            .then( myJson =>
            {
                console.log( myJson.address);
                window.open(`https://gateway.ipfs.io/ipfs/${myJson.address}`, '_blank');
            } )
            .catch( err =>
            {
                console.log( 'Fetch Error :-S', err );
            } );
    }
</script>

<div>
  <div class="center">
    <label for="fname">Web3 Domain Resolver</label><br>
</div>
<div class="center">
    <input type="text" id="domainValueId" name="firstname" placeholder="Web3 Domain...">
</div>
<div class="center">
    <!-- <input type="submit" id="getData" value="Resolve" onclick="GetData"> -->
    <button id='getData' onclick="GetData()">Get Data</button>
</div>
<div class="center">
  <!-- <input type="submit" id="getData" value="Resolve" onclick="GetData"> -->
  <p id="resolvedDomain"></p>
</div>
</div>

</body>
</html>


